Page MenuHomePhabricator

Automate patch application for tests for QA part of make_release
Closed, ResolvedPublic

Description

  1. Adapt make_release script to ignore test directory before making patches
  2. Automation of patch application for tests for QA part of make_release

Event Timeline

Palexis created this task.Oct 1 2014, 2:44 PM
Palexis assigned this task to MarkAHershberger.
Palexis raised the priority of this task from to High.
Palexis updated the task description. (Show Details)
Palexis added a project: Wiki-Release-Team.
Palexis changed Security from none to None.
Palexis added subscribers: Palexis, Qgil, MarkAHershberger.
Palexis added a subscriber: Mglaser.Oct 1 2014, 4:36 PM

part 1 is done, part 2 in November

I was preoccupied with actually making the releases, so I didn't automate this in November. I'll do this in December's work.

Palexis moved this task from Doing to Ready to Go on the Wiki-Release-Team board.Jan 13 2015, 9:08 PM
gerritbot added a subscriber: gerritbot.

Change 182643 had a related patch set uploaded (by MarkAHershberger):
update tests to check patches and signatures

https://gerrit.wikimedia.org/r/182643

Patch-For-Review

MarkAHershberger removed MarkAHershberger as the assignee of this task.Jun 29 2015, 5:46 PM
MarkAHershberger removed a subscriber: MarkAHershberger.

Change 182643 abandoned by MarkAHershberger:
update tests to check patches and signatures

Reason:
No longer maintainer

https://gerrit.wikimedia.org/r/182643

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 8 2015, 12:57 AM
greg renamed this task from QA problems from upgrade from MediaWiki 1.23.3 to MW1.23.4 to Automate patch application for tests for QA part of make_release.Sep 10 2015, 4:57 AM
greg edited projects, added Deployments, MW-1.26-release; removed MW-1.23-release.
greg removed a project: Release-Engineering-Team.
demon closed this task as Resolved.Oct 22 2015, 4:41 PM
demon claimed this task.
demon added a subscriber: demon.
  1. Adapt make_release script to ignore test directory before making patches
  2. Automation of patch application for tests for QA part of make_release

(1) was done, but was undone, tests are important too for the general release. (2) has support in make-release as of T115493.